Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl.tx
Class ExtendedJTATransactionManager

    java.lang.Object
      org.drools.persistence.jta.JtaTransactionManager
          org.jbpm.runtime.manager.impl.tx.ExtendedJTATransactionManager

All Implemented Interfaces:
  org.drools.persistence.TransactionManager

    public class ExtendedJTATransactionManager

extends org.drools.persistence.jta.JtaTransactionManager

This extension of default `JTATransactionManger` is provided to make sure transaction synchronizations are registered as regular ones instead of interposed that will cause issues with other transaction synchronizations mainly one registered by SingleSessionCommandService to clean up on transaction end.

Field Summary

Fields inherited from class org.drools.persistence.jta.JtaTransactionManager
`DEFAULT_TRANSACTION_SYNCHRONIZATION_REGISTRY_NAME, DEFAULT_USER_TRANSACTION_NAME, FALLBACK_TRANSACTION_MANAGER_NAMES`

Fields inherited from interface org.drools.persistence.TransactionManager
`STATUS_ACTIVE, STATUS_COMMITTED, STATUS_NO_TRANSACTION, STATUS_ROLLEDBACK, STATUS_UNKNOWN`

Constructor Summary
`ExtendedJTATransactionManager(Object ut, Object tsr, Object tm)`

Method Summary
`void` | `registerTransactionSynchronization(org.drools.persistence.TransactionSynchronization ts)`

Methods inherited from class org.drools.persistence.jta.JtaTransactionManager
`begin, commit, findTransactionManager, findTransactionSynchronizationRegistry, findUserTransaction, getStatus, rollback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedJTATransactionManager

    public ExtendedJTATransactionManager(Object ut,
                                         Object tsr,
                                         Object tm)

Method Detail

### registerTransactionSynchronization

    public void registerTransactionSynchronization(org.drools.persistence.TransactionSynchronization ts)

  Specified by:
    `registerTransactionSynchronization` in interface `org.drools.persistence.TransactionManager`
  Overrides:
    `registerTransactionSynchronization` in class `org.drools.persistence.jta.JtaTransactionManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.